Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008270TestLinkMigration/Upgrade Testlinkpublic2018-05-24 14:142018-10-09 12:54
Reportersalas 
Assigned Tofman 
PrioritynoneSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinux/Lighttpd/Postgres/PHPOSLinux WheezyOS VersionDebian 7.11
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2018 Q1) 
Summary0008270: Postgres upgrade script from 1.9.15 to 1.9.16 is wrong
DescriptionI post this issue in order to warn other users. Correction is not required.

The following postgre script is wrong
(testlink-code-1.9.16\install\sql\alter_tables\1.9.16\postgres\DB.1.9.16\step1\)

ALTER TABLE /*prefix*/execution_bugs ADD COLUMN "tcstep_id" SET DATA TYPE BIGINT NOT NULL DEFAULT 
'0';
ALTER TABLE /*prefix*/execution_bugs DROP CONSTRAINT /*prefix*/execution_bugs_pkey;
ALTER TABLE /*prefix*/execution_bugs ADD PRIMARY KEY ("execution_id","bug_id","tcstep_id);

);


It has to be replaced by

ALTER TABLE /*prefix*/execution_bugs ADD COLUMN "tcstep_id" BIGINT NOT NULL DEFAULT '0';
ALTER TABLE /*prefix*/execution_bugs DROP CONSTRAINT /*prefix*/execution_bugs_pkey;
ALTER TABLE /*prefix*/execution_bugs ADD PRIMARY KEY ("execution_id","bug_id","tcstep_id");

TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
Browser
PHP Version5.3
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0027489)
fman (administrator)
2018-05-25 18:21

going to check
(0027973)
salas (reporter)
2018-10-09 11:25

Fixed since version 1.9.17
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/3af3d94c5c0d342ce5a481c057aceda73c4737da#diff-1ff9e76fd3e2290ea6ed09d66b0fa9a7 [^]

- Issue History
Date Modified Username Field Change
2018-05-24 14:14 salas New Issue
2018-05-25 18:21 fman Note Added: 0027489
2018-10-09 11:25 salas Note Added: 0027973
2018-10-09 12:54 fman QA Team - Task Workflow Status => TBD
2018-10-09 12:54 fman Status new => resolved
2018-10-09 12:54 fman Fixed in Version => 1.9.17 (2018 Q1)
2018-10-09 12:54 fman Resolution open => fixed
2018-10-09 12:54 fman Assigned To => fman



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker